[med-svn] [Git][java-team/libjscience-java][master] Initial packaging

Andreas Tille gitlab at salsa.debian.org
Fri May 25 13:38:22 BST 2018


Andreas Tille pushed to branch master at Debian Java Maintainers / libjscience-java


Commits:
66637be3 by Andreas Tille at 2018-05-25T14:33:14+02:00
Initial packaging

- - - - -


8 changed files:

- + debian/changelog
- + debian/compat
- + debian/control
- + debian/copyright
- + debian/get-orig-source
- + debian/rules
- + debian/source/format
- + debian/watch


Changes:

=====================================
debian/changelog
=====================================
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+libjscience-java (4.3.1-1) UNRELEASED; urgency=low
+
+  * Initial release (Closes: #xxxxxx).
+
+ -- Andreas Tille <tille at debian.org>  Sat, 19 May 2018 00:11:29 +0200


=====================================
debian/compat
=====================================
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+11


=====================================
debian/control
=====================================
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,23 @@
+Source: libapfloat-java
+Maintainer: Debian Java Maintainers <pkg-java-maintainers at alioth-lists.debian.net>
+Uploaders: Andreas Tille <tille at debian.org>
+Section: java
+Priority: optional
+Build-Depends: debhelper (>= 11~),
+               default-jdk,
+               javahelper
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/java-team/libjscience-java
+Vcs-Git: https://salsa.debian.org/java-team/libjscience-java.git
+Homepage: http://jscience.org/
+
+Package: libjscience-java
+Architecture: all
+Depends: ${java:Depends},
+         ${misc:Depends}
+Description: Java tools and libraries for the advancement of sciences
+ Comprehensive JavaTM library for the scientific community. It creates
+ synergy between all sciences (e.g. math, physics, sociology, biology,
+ astronomy, economics, etc.) by integrating them into a single
+ architecture. It provides on-line services (webstart) for scientific
+ calculations and visualizations.


=====================================
debian/copyright
=====================================
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,13 @@
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: JScience
+Upstream-Contact: jean-marie at dautelle.com
+Source: http://www.java2s.com/Code/Jar/j/Downloadjscience431sourcesjar.htm
+
+Files: *
+Copyright: 2006-2014
+License: 
+
+Files: debian/*
+Copyright: 2018 Andreas Tille <tille at debian.org>
+License: 
+


=====================================
debian/get-orig-source
=====================================
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,56 @@
+#!/bin/sh
+# if you need to repack for whatever reason you can
+# use this script via uscan or directly
+#
+# FIXME: currently the code is not conform to Debian Policy
+#        http://www.debian.org/doc/debian-policy/ch-source.html
+#        "get-orig-source (optional)"
+#        This target may be invoked in any directory, ...
+# --> currently it is assumed the script is called in the
+#     source directory featuring the debian/ dir
+
+# Excluding files and repacking archives
+# --------------------------------------
+# See also mk-origtargz(1) and the --repack option to uscan(1), which
+# honor the Files-Excluded list in debian/copyright.
+# That may be all you need, especially since the repack option can be set
+# in debian/watch.
+
+# For an example how to fetch source from sourceforge SVN see
+#   https://anonscm.debian.org/git/debian-med/kmer-tools.git
+
+COMPRESS=xz
+
+set -x
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+    uscan --force-download
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+TARDIR=${NAME}-${VERSION}
+mkdir -p ../tarballs
+cd ../tarballs
+# need to clean up the tarballs dir first because upstream tarball might
+# contain a directory with unpredictable name
+rm -rf *
+tar -xaf ../${NAME}_${VERSION}.orig.tar.gz
+rm ../${NAME}_${VERSION}.orig.tar.gz
+
+mkdir ${TARDIR}
+cd ${TARDIR}
+unzip -q ../*.jar
+rm ../*.jar
+rm -rf META-INF
+cd ..
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.${COMPRESS} "${TARDIR}"
+rm -rf ${TARDIR}


=====================================
debian/rules
=====================================
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,11 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@  --with javahelper
+
+get-orig-source:
+	. debian/get-orig-source


=====================================
debian/source/format
=====================================
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)


=====================================
debian/watch
=====================================
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,3 @@
+version=4
+
+http://www.java2s.com/Code/Jar/j/Downloadjscience431sourcesjar.htm .*/jscience/jscience- at ANY_VERSION@-sources\.jar\.zip



View it on GitLab: https://salsa.debian.org/java-team/libjscience-java/commit/66637be37104b94a21ea2fa8f222e11cfda2e907

-- 
View it on GitLab: https://salsa.debian.org/java-team/libjscience-java/commit/66637be37104b94a21ea2fa8f222e11cfda2e907
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20180525/2aede033/attachment-0001.html>


More information about the debian-med-commit mailing list